import 'package:cleanarch_dart/src/models/config-object.model.dart';
import 'package:cleanarch_dart/src/usecases/read-json-and-convert.dart';
import 'package:path/path.dart' as path;


// ignore: non_constant_identifier_names
Future<ConfigObjectModel> GetConfigModelUsecase(String foldetPath) async {
  final executionLocal = path.normalize(foldetPath);
  final readJsonAndConfigure = ReadJsonAndConvert<ConfigObjectModel>(
    path: executionLocal,
    fileName: 'cleanarch-cli.config.json',
    converter: CONVERTER_JSON_TO_CONFIG_OBJECT,
  );
  final configModel = await readJsonAndConfigure.call();
  return configModel;
}
