import '../models/config-object.model.dart';
import '../models/selected-schema.model.dart';

class GetSelectedSchema {
  final Set<String> keys;
  final Set<Schema> schemas;
  final Set<CommandModel> commands;

  const GetSelectedSchema({
    required this.keys,
    required this.schemas,
    required this.commands,
  });

  SelectedSchemaModel call() {
    String? selectedKey;

    CommandModel? commandModel;

    // FIND RELATED KEYS WITH COMMAND
    for (var command in commands) {
      for (var key in keys) {
        if (command.command == key) {
          commandModel = command;
          selectedKey = key;
          break;
        }
      }
    }

    assert(commandModel != null && selectedKey != null);
    Schema? selectedSchema;

    // FIND RELATED COMMAND SCHEMA
    for (var schema in schemas) {
      if (schema.sufix == commandModel?.sufix) {
        selectedSchema = schema;
      }
    }

    assert(selectedSchema != null);
    return SelectedSchemaModel(selectedKey!, selectedSchema!);
  }
}
